CVE-2023-45813

CVSS 3.1 Score 4.6 of 10 (medium)

Details

Published Oct 18, 2023
Updated: Oct 30, 2023
CWE ID 1333

Summary

CVE-2023-45813 is a vulnerability in the Torbot open source tor network intelligence tool. The torbot.modules.validators.validate_link function in affected versions uses a URL validation regular expression that has an exponential complexity, allowing an attacker to crash the application with a well-crafted argument. This vulnerability can be exploited by using a well-crafted URL argument to cause a Denial of Service attack on the system. The vulnerability has been addressed in version 4.0.0, and users are advised to upgrade. There are no known workarounds for this vulnerability.

Explore Beyond the CVE Basics with Recorded Future's Vulnerability Intelligence

Note: This is just a basic overview providing quick insights into CVE-2023-45813 information. Gain full access to comprehensive CVE data, risk scores, prioritization, and mitigation data through Recorded Future's Vulnerability Intelligence:
  • Prioritize with Risk-Based Scoring
  • Explore the Extensive Vulnerability Database
  • Receive Early Alerts on Emerging CVEs
  • Focus on Critical Exploitable Vulnerabilities
  • Streamline Remediation with Integration Options